## ypserv 4.1

=== debian/changelog ===
ypserv (4.1-2) unstable; urgency=medium

  * Added Kerberos server as Suggests field. Fixed for ypbind-mt Suggests.
  * Added a Breaks due to conflicting files.
  * Moved conffiles to ucf managment to cope with nis package.
  * Revised for versioning of transitional nis package.
  * Fixed template name for securenets.
  * Remove only domain stuff on purge, instead of the whole /var/yp dir.
  * Removes ucf managed file on purge.
  * Added init files for NIS services.
  * Fixed facility name in init script.
  * Added snippets for installing init files in d/rules.
  * Leaving /etc/default/nis around on purge, but removing ypservers.
  * Fixed to pre-check ucf availability before use in postrm.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 23 Jan 2021 15:43:43 +0100

ypserv (4.1-1) unstable; urgency=medium

  * Initial commit. (closes: #978706)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 02 Jan 2021 13:19:12 +0100
