=== debian/control ===
Source: ypserv
Priority: optional
Section: net
Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: debhelper-compat (=13)
 ,pkg-config
 ,libtirpc-dev
 ,libsystemd-dev
 ,dh-exec
 ,libgdbm-dev
 ,file
 ,gettext
 ,docbook-xsl
 ,xsltproc
Standards-Version: 4.5.1
Homepage: http://www.linux-nis.org/
Vcs-Browser: https://salsa.debian.org/debian-nis-team/ypserv
Vcs-Git: https://salsa.debian.org/debian-nis-team/ypserv.git

Package: ypserv
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
 ,make
 ,rpcbind | portmap
 ,lsb-base (>= 3.0-6)
 ,hostname (>= 2.98)
 ,ucf
Breaks: nis (<< 4)
Conflicts: nis (<< 4)
Replaces: nis (<< 4)
Provides: nis-server
Suggests: ypbind-mt, krb5-kdc
Recommends: yp-tools
Description: Server daemon for working with Network Information System (NIS)
 This package provides the ypserv and other programs, required
 to implement a NIS service for shared accounts and network names.
 .
 NIS, originally known as Yellow Pages (YP), is mostly used to let
 several machines in a network share the same account information, such
 as the password file. It is an old, but simple system to share information,
 which should be used only in relatively trusted networks, due to its
 intrinsic limitations for security.
