## ypserv 4.2

=== debian/changelog ===
ypserv (4.2-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:42:41 +1100

ypserv (4.2-2build1) noble; urgency=high

  * No change rebuild against libgdbm6t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 18:00:52 +0100

ypserv (4.2-2) unstable; urgency=medium

  * Added netbase dependency on netbase. Thanks Peter Williams for pointing
    the now missing dependency for running a working make. 
  * Policy bumped to 4.6.2. No changes.
  * Added b-d on libnsl-dev.
    (closes: #1065163)
  * Added BASH overriding in d/rules as suggested by Vagrant Cascadian for #983138. 

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 01 Mar 2024 20:21:37 +0100

ypserv (4.2-1) unstable; urgency=medium

  * New upstream version.
  * Disabling a couple of GCC-12 specific error on sprintf() in debian/rules.
    (closes: #1013073)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 04 Aug 2022 17:39:48 +0200
