=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ypserv
 Priority: optional
 Section: net
-Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
 Build-Depends: debhelper-compat (=13)
  ,pkg-config
  ,libtirpc-dev
@@ -12,7 +13,8 @@
  ,gettext
  ,docbook-xsl
  ,xsltproc
-Standards-Version: 4.5.1
+ ,libnsl-dev
+Standards-Version: 4.6.2
 Homepage: http://www.linux-nis.org/
 Vcs-Browser: https://salsa.debian.org/debian-nis-team/ypserv
 Vcs-Git: https://salsa.debian.org/debian-nis-team/ypserv.git
@@ -26,6 +28,7 @@
  ,lsb-base (>= 3.0-6)
  ,hostname (>= 2.98)
  ,ucf
+ ,netbase
 Breaks: nis (<< 4)
 Conflicts: nis (<< 4)
 Replaces: nis (<< 4)
