=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,8 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # see ENVIRONMENT in dpkg-buildflags(1)
-# package maintainers to append CFLAGS
-#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+# package maintainers to append CFLAGS to fix #1013073
+export DEB_CFLAGS_MAINT_APPEND  = -Wno-error=format-truncation= -Wno-error=format-overflow=
 # package maintainers to append LDFLAGS
 #export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
@@ -28,7 +28,8 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure
+	# Ensure BASH variable consistently is /bin/bash
+	dh_auto_configure -- BASH=/bin/bash
 	for f in `find $(CURDIR) -name '*.8.xml'`; \
 		do d=`dirname $$f`; n=`basename $$f .xml`; [ -f $(CURDIR)/$$d/$$n ] || cp -f $(CURDIR)/debian/man/$$n $$d/.; done
